"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeln = void 0;
const tslib_1 = require("tslib");
const special_character_1 = tslib_1.__importDefault(require("../utils/special-character"));
const lines_1 = tslib_1.__importDefault(require("./lines"));
const { EndOfLine } = special_character_1.default;
async function writeln(writable, splitter) {
    for await (const line of lines_1.default(splitter)) {
        writable.write(Buffer.from([...line, EndOfLine]));
    }
}
exports.writeln = writeln;
exports.default = writeln;
