"use strict";
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
exports.StringWritable = void 0;
const symEncoding = Symbol('symEncoding');
const symData = Symbol('symData');
class StringWritable {
    constructor(options = {}) {
        this[_a] = '';
        this[symEncoding] = options.encoding || 'utf8';
    }
    write(buffer) {
        this[symData] += buffer.toString(this[symEncoding]);
    }
    toString() {
        return this[symData];
    }
}
exports.StringWritable = StringWritable;
_a = symData;
exports.default = StringWritable;
