var _a;

const symEncoding = Symbol('symEncoding');
const symData = Symbol('symData');
export class StringWritable {
  constructor(options = {}) {
    this[_a] = '';
    this[symEncoding] = options.encoding || 'utf8';
  }

  write(buffer) {
    this[symData] += buffer.toString(this[symEncoding]);
  }

  toString() {
    return this[symData];
  }

}
_a = symData;
export default StringWritable;